Subject: bug#17155: 24.3; ELPA files should not appear in recentf

From: Glenn Morris <[email-masked]>
Date: Fri, 02 May 2014 19:34:41 -0400

Jonathan H wrote:

> In Emacs, running an update from the list-packages buffer causes all of
> the files modified by package.el to show up in the recentf list. Because
> it is both bad form to edit files under package management and rarely
> done anyway, these files should not be listed.

I think this is because package.el uses `save-buffer'.

Unless it really needs to do that, I think it should use something more
low-level.